/**Begin D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_INV_MERGE_RULE') 
 CREATE TABLE T_BDM_INV_MERGE_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIFFERENTROWTYPEMERGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVIATIONRULE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSAMEROWTYPEMERGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEGATIVEOFFSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEVIATIONMERGERULE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVIATIONREWRITERULE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSYSTEMPRESET VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMMERGEKEY VARCHAR(300) DEFAULT ' ' NOT NULL,
FITEMMERGENAME VARCHAR(600) DEFAULT ' ' NOT NULL,
FBILLMERGEKEY VARCHAR(300) DEFAULT ' ' NOT NULL,
FBILLMERGENAME VARCHAR(600) DEFAULT ' ' NOT NULL
);



/**End D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
